'===================================
'= Asynchronous Socket State Code =
'===================================
'
'Manages state information from a TCP client
'
'Written by Stuart Massey (VorTechS)
'3rd February 2010

'Some portions of this code have been taken from MSDN examples
'http://msdn.microsoft.com/en-us/library/bew39x2a(VS.71).aspx


'LICENSE INFORMATION:
'
'This file is part of the PhatHack LCD Driver software: you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation, either version 3 of the License, or
'(at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program.  If not, see <http://www.gnu.org/licenses/>.

Imports System.Net.Sockets
Imports System.Text

Public Class AsynchronousSocketState

    ' Client  socket.
    Public workSocket As Socket = Nothing

    ' Size of receive buffer.
    Public Const BufferSize As Integer = 1024

    ' Receive buffer.
    Public buffer(BufferSize) As Byte

    ' Received data string.
    Public sb As New StringBuilder

End Class
